pyzeromq gevent compat. lib
Python
Latest commit b15d50d Sep 14, 2013 @tmc Add deprecation note.
Permalink
Failed to load latest commit information.
examples added poll example Jun 30, 2012
gevent_zeromq also patching zmq.eventloop.ioloop so we d'ont get locked there as well Jul 13, 2012
.gitignore updated setup.py in prep for pypi Apr 19, 2011
AUTHORS
LICENSE LICENSE updated: author name added Sep 22, 2012
MANIFEST.in Remove python generated c file Jul 3, 2012
README.rst
requirements.txt Add requirements file Jun 30, 2012
setup.py
setupegg.py Add setupegg.py to allow setuptools functionality. Fixes #30 Jul 13, 2012

README.rst

DEPRECATED!

This work has been merged upstream into pyzmq

gevent-zeromq

This library wraps pyzmq to make it compatible with gevent. ØMQ socket operations that would normally block the current thread will only block the current greenlet instead.

Requirements

  • pyzmq==2.2.0
  • gevent (compatible with 1.0 pre-releases as well)

Usage

Instead of importing zmq directly, do so in the following manner:

from gevent_zeromq import zmq

Any calls that would have blocked the current thread will now only block the current green thread.

About

This compatibility is accomplished by ensuring the nonblocking flag is set before any blocking operation and the ØMQ file descriptor is polled internally to trigger needed events.

Will build with cython if available, decreasing overhead.

License

See LICENSE (New BSD)